%define name	sflphone
%define version	0.3
%define release 1mdk

Name: 	 	%{name}
Summary: 	Versatile VoIP phone
Version: 	%{version}
Release: 	%{release}

Source:		%{name}-%{version}.tar.bz2
URL:		http://www.sflphone.org/
License:	GPL
Group:		Communications
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	pkgconfig ImageMagick
BuildRequires:	qt3-devel
BuildRequires:	libCommonC++-devel >= 1.3.6
BuildRequires:	ccrtp-devel >= 1.3.0
BuildRequires:	libosip2-devel exosip-devel	

%description
Voice over IP tends to be part of more and more corporate (and home) networks
today.  SFLphone aims to become your desktop's VoIP companion.

It actually supports the following features in its early development stage :
    * SIP and STUN support
    * OSS audio devices support
    * Skinned GUI
    * G711u and G711a PCM codecs
    * And nice other features

%prep
%setup -q
perl -p -i -e 's|-pipe -Wall -W -g -pipe -march=i386 -mcpu=i686|\$(RPM_OPT_FLAGS)||g' src/Makefile

%build
./configure -prefix %_prefix
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/%name
cp src/%name %buildroot/%_bindir/
cp -R pixmaps %buildroot/%_datadir/%name
cp -R skins %buildroot/%_datadir/%name

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="SFLPhone" longtitle="VoIP Phone" section="More Applications/Communications"
EOF

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 pixmaps/logo_ico.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 pixmaps/logo_ico.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 pixmaps/logo_ico.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc CHANGES README
%{_bindir}/%name
%{_datadir}/%name
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%changelog
* Thu Apr 7 2005 Austin Acton <austin@mandrake.org> 0.3-1mdk
- 0.3
- update buildrequires

* Tue Feb 15 2005 Austin Acton <austin@mandrake.org> 0.2-1mdk
- initial package
